Summary:	A restricted shell for assigning scp- or sftp-only access
Summary(pl.UTF-8):	Okrojona powłoka dająca dostęp tylko do scp i/lub sftp
Name:		rssh
Version:	2.3.3
Release:	4
License:	BSD-like
Group:		Applications/Shells
Source0:	http://dl.sourceforge.net/rssh/%{name}-%{version}.tar.gz
# Source0-md5:	b0c147602fcc95737ed50573b92fc468
Patch0:		%{name}-userbuild.patch
Patch1:		%{name}-mkchroot.patch
Patch2:		%{name}-rsync-protocol.patch
URL:		http://www.pizzashack.org/rssh/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	openssh-clients >= 3.5p1
Requires(post):	grep
Requires(preun):	sed >= 4.0
Conflicts:	openssh-server < 3.5p1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	with_ccache

%description
rssh is a small shell that provides the ability for system
administrators to give specific users access to a given system via scp
or sftp only.

%description -l pl.UTF-8
rssh jest małym shellem, który pozwala administratorowi ograniczyć
dostęp na danym koncie tylko do scp i/lub sftp.

%prep
%setup -q
%patch0 -p1
%patch1
%patch2 -p1

%build
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	--with-scp=/usr/bin/scp \
	--with-sftp-server=/usr/%{_lib}/openssh/sftp-server

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/bin

%{__make} install \
	 DESTDIR=$RPM_BUILD_ROOT

ln -sf rssh $RPM_BUILD_ROOT%{_bindir}/scpsh
ln -sf rssh $RPM_BUILD_ROOT%{_bindir}/sftpsh

# legacy
ln -s %{_bindir}/%{name} $RPM_BUILD_ROOT/bin/%{name}
ln -s %{_bindir}/scpsh $RPM_BUILD_ROOT/bin/scpsh
ln -s %{_bindir}/sftpsh $RPM_BUILD_ROOT/bin/sftpsh

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /etc/shells ]; then
	umask 022
	echo "%{_bindir}/%{name}" > /etc/shells
	echo "%{_bindir}/scpsh" >> /etc/shells
	echo "%{_bindir}/sftpsh" >> /etc/shells
else
	if ! grep -q '^%{_bindir}/%{name}$' /etc/shells; then
		echo "%{_bindir}/%{name}" >> /etc/shells
	fi
	if ! grep -q '^%{_bindir}/scpsh$' /etc/shells; then
		echo "%{_bindir}/scpsh" >> /etc/shells
	fi
	if ! grep -q '^%{_bindir}/sftpsh$' /etc/shells; then
		echo "%{_bindir}/sftpsh" >> /etc/shells
	fi
fi

%preun
if [ "$1" = "0" ]; then
	%{__sed} -i -e '/^%(echo %{_bindir} | sed -e 's,/,\\/,g')\/\(%{name}\|scpsh\|sftpsh\)$/d' /etc/shells
fi

%triggerpostun -- %{name} < 2.3.2-0.6
# make compat symlinks, the symlinks are discarded using %ghost on package uninstall
ln -sf %{_bindir}/%{name} /bin/%{name}
ln -sf %{_bindir}/scpsh /bin/scpsh
ln -sf %{_bindir}/sftpsh /bin/sftpsh

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README CHROOT SECURITY mkchroot.sh
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rssh.conf
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/scpsh
%attr(755,root,root) %{_bindir}/sftpsh
%attr(4755,root,root) %{_libdir}/rssh_chroot_helper
%{_mandir}/man?/*
# legacy
%ghost /bin/%{name}
%ghost /bin/scpsh
%ghost /bin/sftpsh
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rssh.git;a=log;h=master

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> a4c56ef
- release 4 (by relup.sh)

* Thu Oct 20 2011 psz <psz@pld-linux.org> 5b91b1f
- [PATCH] Handle the rsync v3 -e option for protocol information (from Debian Bug#471803)
- rel 3

* Mon Oct 25 2010 psz <psz@pld-linux.org> 287c034
- rel 2

* Mon Oct 25 2010 psz <psz@pld-linux.org> b935d9b
- fixed md5

* Mon Oct 18 2010 psz <psz@pld-linux.org> 29212e0
- 2.3.3

* Fri Apr 27 2007 Jakub Bogusz <qboosh@pld-linux.org> 685543a
- CVE reference for 2.3.1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 24d3f99
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 72edc32
- converted to UTF-8

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> 532352a
- avoid defining default %attr

* Tue Jul 25 2006 Elan Ruusamäe <glen@pld-linux.org> 3905b4b
- cosmetics

* Tue Jul 25 2006 Elan Ruusamäe <glen@pld-linux.org> 8f117bf
- up to 2.3.2 (security fixes)
- moved programs to /usr (due scp dependency), safe trigger included

* Fri Dec 30 2005 lukasz <lukasz@pld-linux.org> 6e71b8e
- SECURITY up to 2.3.1 [fixes CVE-2006-1320]

* Fri Dec 23 2005 undefine <undefine@pld-linux.org> 5dad5f3
- rel 2 for AC

* Fri Dec 23 2005 undefine <undefine@pld-linux.org> 7e733ae
- up to 2.3.0

* Fri Dec 23 2005 undefine <undefine@pld-linux.org> 10afcad
- up to 2.3.0
- SECURITY http://www.pizzashack.org/rssh/security.shtml

* Mon May 30 2005 Elan Ruusamäe <glen@pld-linux.org> e6b8646
- ...or the other way

* Mon May 30 2005 Elan Ruusamäe <glen@pld-linux.org> 6a2532c
- todo

* Mon May 30 2005 ankry <ankry@pld-linux.org> 53d76ec
- amd64 path fix

* Mon May 30 2005 Elan Ruusamäe <glen@pld-linux.org> 0b23ec2
- don't macroize ssh paths

* Mon May 30 2005 ankry <ankry@pld-linux.org> a89b016
- kill overadaptarization

